Commit cc605a22 authored by Lukas Schauer's avatar Lukas Schauer

moved _openssl helper a bit up to be near the other helper methods

parent 3dcfa8b4
......@@ -152,6 +152,22 @@ get_json_array() {
grep -Eo '"'"${1}"'":[^\[]*\[[^]]*]'
}
# OpenSSL writes to stderr/stdout even when there are no errors. So just
# display the output if the exit code was != 0 to simplify debugging.
_openssl() {
set +e
out="$(openssl "${@}" 2>&1)"
res=$?
set -e
if [[ $res -ne 0 ]]; then
echo " + ERROR: failed to run $* (Exitcode: $res)" >&2
echo >&2
echo "Details:" >&2
echo "$out" >&2
exit $res
fi
}
http_request() {
tempcont="$(mktemp)"
......@@ -187,22 +203,6 @@ http_request() {
rm -f "${tempcont}"
}
# OpenSSL writes to stderr/stdout even when there are no errors. So just
# display the output if the exit code was != 0 to simplify debugging.
_openssl() {
set +e
out="$(openssl "${@}" 2>&1)"
res=$?
set -e
if [[ $res -ne 0 ]]; then
echo " + ERROR: failed to run $* (Exitcode: $res)" >&2
echo >&2
echo "Details:" >&2
echo "$out" >&2
exit $res
fi
}
signed_request() {
# Encode payload as urlbase64
payload64="$(printf '%s' "${2}" | urlbase64)"
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment